# Message-controller Release Notes

- [0.5.0-alpha](#050-alpha)
- [0.2.1](#021)

## 0.5.0-alpha
##### Message-controller
* ANDDEP-687 Removed "androidx.exifinterface:exifinterface" dependency
* ANDDEP-783 Added ability to pass params for snack and toast by one object, set custom view for Toast
* ANDDEP-1182 Added dismiss callback
* ANDDEP-1182 Removed duration constraint, now any duration can be used
## 0.2.1
##### Message-controller
* ANDDEP-210 added parameter - snackbar duration
* ANDDEP-210 Added the ability to close snacks, it is important in the presence of snacks that do not go away themselves